Get transaction by id
curl --request GET \
--url https://api.afkcrypto.com/v1/tx/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.afkcrypto.com/v1/tx/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.afkcrypto.com/v1/tx/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id":"tx_cuid_here",
"status":"CONFIRMED",
"hash": "0xec04909efc1a39fb777f649d3c1f556cdc529c824b557e172899bd15077c4c01",
"explorerUrl": "https://basescan.org/tx/0xec04909efc1a39fb777f649d3c1f556cdc529c824b557e172899bd15077c4c01",
"chainName":"Base",
"chainType":"ethereum",
"chainId":8453,
"to":"0xrecipient...",
"value":"1000000000000000",
"error": null,
"createdAt":"2025-08-25T08:00:00.000Z",
"updatedAt":"2025-08-25T08:00:05.000Z"
}
Endpoints
Get Transaction
Look up a transaction created by AFK and retrieve status and hash.
GET
/
tx
/
{id}
Get transaction by id
Returns 404 if transaction does not exist for authenticated user.
{
"id":"tx_cuid_here",
"status":"CONFIRMED",
"hash": "0xec04909efc1a39fb777f649d3c1f556cdc529c824b557e172899bd15077c4c01",
"explorerUrl": "https://basescan.org/tx/0xec04909efc1a39fb777f649d3c1f556cdc529c824b557e172899bd15077c4c01",
"chainName":"Base",
"chainType":"ethereum",
"chainId":8453,
"to":"0xrecipient...",
"value":"1000000000000000",
"error": null,
"createdAt":"2025-08-25T08:00:00.000Z",
"updatedAt":"2025-08-25T08:00:05.000Z"
}
Authorizations
Path Parameters
AFK transaction id.
Response
Transaction
AFK transaction id.
Current transaction status.
Available options:
PENDING, SUBMITTED, CONFIRMED, FAILED Direct link to the transaction on a chain explorer. Null until a hash/signature exists.
Chain family for the transaction.
Available options:
ethereum, solana EVM: numeric chainId; Solana: sentinel values 0=mainnet, -2=testnet, -3=devnet
Human-readable chain name for display (e.g., Base, Ethereum, Solana).
Creation timestamp.
Last updated timestamp.
On-chain transaction hash/signature when available.
Destination address, if applicable.
Native value sent in base units, if applicable.
Error message if the transaction failed.